Package org.codehaus.groovy.runtime.metaclass

# Class MissingMethodExceptionNoStack

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
groovy.lang.GroovyRuntimeException
groovy.lang.MissingMethodException
org.codehaus.groovy.runtime.metaclass.MissingMethodExceptionNoStack

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `MissingMethodExecutionFailed`

    public class MissingMethodExceptionNoStack
    extends MissingMethodException

See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `MissingMethodExceptionNoStack​(String method, Class type, Object[] arguments)` |
  `MissingMethodExceptionNoStack​(String method, Class type, Object[] arguments, boolean isStatic)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `Throwable` | `fillInStackTrace()` |

  ### Methods inherited from class groovy.lang.MissingMethodException

  `getArguments, getMessage, getMethod, getType, isStatic`

  ### Methods inherited from class groovy.lang.GroovyRuntimeException

  `getLocationText, getMessageWithoutLocationText, getModule, getNode, setModule`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MissingMethodExceptionNoStack

    public MissingMethodExceptionNoStack​(String method, Class type, Object[] arguments)

  - ### MissingMethodExceptionNoStack

    public MissingMethodExceptionNoStack​(String method, Class type, Object[] arguments, boolean isStatic)

- ## Method Details

  - ### fillInStackTrace

    public Throwable fillInStackTrace()
    Overrides:
      `fillInStackTrace` in class `Throwable`